Qt Reference Documentation

# Qt 3 Support Members for QSqlIndex

The following class members are part of the Qt 3 support layer. They are provided to help you port old code to Qt 4. We advise against using them in new code.

- QSqlIndex class reference

## Public Functions

QString | toString ( const QString & prefix = QString(), const QString & sep = QLatin1String( "," ), bool verbose = true ) const
QStringList | toStringList ( const QString & prefix = QString(), bool verbose = true ) const

- 5 public functions inherited from QSqlRecord

## Member Function Documentation

### QString QSqlIndex::toString ( const QString & prefix = QString(), const QString & sep = QLatin1String( "," ), bool verbose = true ) const

Returns a comma-separated list of all the index's field names as a string. This string is suitable, for example, for generating a SQL SELECT statement. Only generated fields are included in the list (see isGenerated()). If a prefix is specified, e.g. a table name, it is prepended before all field names in the form:

"prefix.<fieldname>"

If sep is specified, each field is separated by sep. If verbose is true (the default), each field contains a suffix indicating an ASCending or DESCending sort order.

### QStringList QSqlIndex::toStringList ( const QString & prefix = QString(), bool verbose = true ) const

Returns a list of all the index's field names. Only generated fields are included in the list (see isGenerated()). If a prefix is specified, e.g. a table name, all fields are prefixed in the form:

"prefix.<fieldname>"

If verbose is true (the default), each field contains a suffix indicating an ASCending or DESCending sort order.

Note that if you want to iterate over the list, you should iterate over a copy, e.g.

     QStringList list = myIndex.toStringList();
     QStringList::Iterator it = list.begin();
     while(it != list.end()) {
         myProcessing(*it);
         ++it;
     }